%define cvsdate 20040416

Summary: RPM installer/updater
Name: yum
Version: 2.0.7
Release: 1.1
License: GPL
Group: System Environment/Base
Source0: http://linux.duke.edu/projects/yum/download/2.0/yum-%{version}.tar.gz
#Source0: http://linux.duke.edu/yum/download/2.0/daily/yum-%{cvsdate}.tar.gz
Source1: yum.conf.fedora
URL: http://www.dulug.duke.edu/yum/
BuildArchitectures: noarch
BuildRequires: python
BuildRequires: gettext
Obsoletes: yum-phoebe
Requires: python, rpm-python >= 4.1.1, libxml2-python
PreReq: /sbin/chkconfig, /sbin/service
BuildRoot: %{_tmppath}/%{name}-root

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q -n yum-%{version}

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir $RPM_BUILD_ROOT/etc/rc.d
mv $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/
cp -f $RPM_SOURCE_DIR/yum.conf.fedora $RPM_BUILD_ROOT/etc/yum.conf

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add yum
/sbin/service yum condrestart >> /dev/null
exit 0

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL ChangeLog
%config(noreplace) %{_sysconfdir}/yum.conf
%config %{_sysconfdir}/cron.daily/yum.cron
%config %{_sysconfdir}/rc.d/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/yum/*
%{_bindir}/yum
%{_bindir}/yum-arch
/var/cache/yum
%{_mandir}/man*/*

%changelog
* Tue May 11 2004 Elliot Lee <sopwith@redhat.com> 2.0.7-1.1
- Update config again

* Fri May  7 2004 Jeremy Katz <katzj@redhat.com> 2.0.7-1
- update to 2.0.7
- change config to point to final FC2 locations

* Fri Apr 16 2004 Jeremy Katz <katzj@redhat.com> - 2.0.7-0.20040416
- new snap 

* Sat Apr  3 2004 Jeremy Katz <katzj@redhat.com> 2.0.7-0.20040403
- new snap, should fix yum -e name.arch

* Wed Mar 17 2004 Jeremy Katz <katzj@redhat.com> 2.0.6-1
- update to 2.0.6

* Wed Mar 10 2004 Jeremy Katz <katzj@redhat.com> 2.0.5.20040310-1
- update to today's snap

* Wed Mar  3 2004 Jeremy Katz <katzj@redhat.com> 2.0.5.20040303-1
- today's snap

* Tue Mar  2 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040229-1
- update again per seth's request

* Thu Feb 26 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- mv /etc/init.d -> /etc/rc.d/init.d

* Tue Feb 24 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040224-1
- newer

* Mon Feb 23 2004 Jeremy Katz <katzj@redhat.com> - 2.0.5.20040223-1
- update to current snapshot per skvidal's request
- add retries=20 to yum.conf

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 23 2004 Bill Nottingham <notting@redhat.com> 2.0.4.20040103-1
- update to current snapshot
- fix config for FC2 test 1

* Tue Dec 23 2003 Jeff Johnson <jbj@redhat.com> 2.0.4-5
- build yum daily snapshot for amd64 fix.

* Wed Nov 12 2003 Bill Nottingham <notting@redhat.com> 2.0.4-4
- patch for excluding dirs in yum-arch from CVS

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 2.0.4-3
- patch to work with python 2.3 from Seth

* Wed Oct 29 2003 Elliot Lee <sopwith@redhat.com> 2.0.4-2
- Stick in a new yum.conf for FC1.

* Mon Oct 20 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- new upstream release 2.0.4

* Tue Sep 16 2003 Jeff Johnson <jbj@redhat.com> 2.0.3-1
- update to 2.0.3
- drop yum-init patch, merged into 2.0.3.
- change rpm version requirement to 4.1.1.

* Thu Jul 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- change init script to more current RHL style

* Wed Jul 23 2003 Nalin Dahyabhai <nalin@redhat.com>
- require libxml2-python, because yum does

* Thu Jul 17 2003 Jeff Johnson <jbj@redhat.com> 2.0-1
- update to 2.0.

* Thu May 22 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030522
- update to snapshot.

* Mon May 12 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030512
- create.
